[2/2] test: pktio_run: exit if binary was not found

Message ID 1493197207-3551-2-git-send-email-odpbot@yandex.ru
State New
Headers show
Series
  • [1/2] test: tm: add paths to find tm binary
Related show

Commit Message

Github ODP bot April 26, 2017, 9 a.m.
From: Maxim Uvarov <maxim.uvarov@linaro.org>


No need to continue run if binary was not found in paths.

Signed-off-by: Maxim Uvarov <maxim.uvarov@linaro.org>

---
/** Email created from pull request 17 (muvarov:master_bug2969)
 ** https://github.com/Linaro/odp/pull/17
 ** Patch: https://github.com/Linaro/odp/pull/17.patch
 ** Base sha: 9b993a1531c94782b48292adff54a95de9d2be5c
 ** Merge commit sha: 597d9211c21adde3887c416ede815431ee0a175c
 **/
 test/linux-generic/validation/api/pktio/pktio_run.sh | 1 +
 1 file changed, 1 insertion(+)

Patch hide | download patch | download mbox

diff --git a/test/linux-generic/validation/api/pktio/pktio_run.sh b/test/linux-generic/validation/api/pktio/pktio_run.sh
index e8b0f93..19def8c 100755
--- a/test/linux-generic/validation/api/pktio/pktio_run.sh
+++ b/test/linux-generic/validation/api/pktio/pktio_run.sh
@@ -31,6 +31,7 @@  if [ -x "$pktio_main_path" ] ; then
 	echo "running with pktio_main: $pktio_run_path"
 else
 	echo "cannot find pktio_main: please set you PATH for it."
+	exit 1
 fi
 
 # directory where platform test sources are, including scripts